#if !defined(AFX_SETSIZEDLG_H__7E07BD5D_E943_460D_B1FF_058307DA5815__INCLUDED_)
#define AFX_SETSIZEDLG_H__7E07BD5D_E943_460D_B1FF_058307DA5815__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetSizeDlg.h 
//

#include "StCamera.h"
/////////////////////////////////////////////////////////////////////////////
// CSetSizeDlg

class CSetSizeDlg : public CDialog
{
public:
	CStCamera	*g_pStCamera;
private:
	void	mInitComboBox();
	void	mUpdateDisplayComboBox();
	void	mUpdateByComboBox(UINT nID);
	UINT	m_pComboBoxID[2];

	void	mUpdateDisplaySlider();
	void	mUpdateBySlider(UINT nID);
	UINT	m_pSliderID[12];

	void	mUpdateDisplayEdit();
	void	mUpdateByEdit(UINT nID);
	UINT	m_pEditID[12];

	

void	mUpdateDisplay();
// 
public:
	CSetSizeDlg(CWnd* pParent = NULL);   //

//
	//{{AFX_DATA(CSetSizeDlg)
	enum { IDD = IDD_SET_SIZE_DIALOG };
		// 
	//}}AFX_DATA


// 
	// ClassWizard 
	//{{AFX_VIRTUAL(CSetSizeDlg)
	public:
	virtual BOOL DestroyWindow();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// 
protected:

	// 
	//{{AFX_MSG(CSetSizeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	afx_msg void OnSelchangeComboItem(UINT nID);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}


#endif // !defined(AFX_SETSIZEDLG_H__7E07BD5D_E943_460D_B1FF_058307DA5815__INCLUDED_)
